%define name		baghira
%define version		0.7
%define release		2.2006mcnl
%define summary		The Baghira style and windec for KDE
%define section 	System/Other

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		BSD
Group:			Graphical desktop/KDE
Vendor:			Mandrivaclub.nl
Packager:		Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Source:			%{name}-%{version}.tar.bz2
URL:			http://baghira.sourceforge.net/
BuildRequires:		XFree86-devel kdebase-devel >= 3.2 libpng-devel libjpeg-devel libart_lgpl-devel
Provides:		kdemoreartwork-baghira
Provides:		kde-theme-%{name}
Conflicts:		%{name}-deco
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
Baghira is a very nice native KDE style and windec originally based on 
Mosfet's Liquid style.

%prep
%setup -q -n %{name}-release

%build
./configure     --host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--enable-final \
		--with-qt-dir=/usr/lib/qt3 \
		--program-prefix= \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld
%make
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/bab" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Bab" \
longtitle="%summary"
EOF

#icons

%define  nameicon %{buildroot}/usr/share/icons/crystalsvg/128x128/apps/baghira.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus
ldconfig %{_libdir}

%postun
%clean_menus
ldconfig %{_libdir}

%files 
%defattr(-,root,root) 
%doc INSTALL COPYING README NEWS TODO
%{_bindir}/bab
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_includedir}/*
%{_libdir}/*
%{_datadir}/apps/%{name}/poof.png
%{_datadir}/apps/kdisplay/color-schemes/*
%{_datadir}/apps/kicker/applets/*
%{_datadir}/apps/konqsidebartng/*/*
%{_datadir}/apps/kstyle/themes/%{name}.themerc
%{_datadir}/apps/kwin/%{name}.desktop
%{_iconsdir}/crystalsvg/*x*/*


%changelog
* Tue Oct 11 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.7-2.2006mcnl
- added provides for PLF-baghira theme

* Sun Oct 09 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.7-1.2006mcnl
- first build for Mandriva Linux 2006
